<config xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
   <native xmlns="http://cisco.com/ns/yang/Cisco-IOS-XE-native">
      <interface>
        <Loopback>
          <name>{{ loop_int }}</name>
          <ip>
            <address>
              <primary>
                <address>{{ loop_ip }}</address>
                <mask>{{ loop_subnet }}</mask>
              </primary>
            </address>
          </ip>
          <logging>
            <event>
              <link-status/>
            </event>
          </logging>
        </Loopback>
        <GigabitEthernet>
          <name>{{ interface_id }}.{{ vlan_id }}</name>
            <encapsulation>
               <dot1Q>
                  <vlan-id>{{ vlan_id }}</vlan-id>
               </dot1Q>
            </encapsulation>
            <ip>
               <address>
                  <primary>
                     <address>{{ interface_ip }}</address>
                     <mask>{{ interface_subnet }}</mask>
                  </primary>
               </address>
            </ip>
        </GigabitEthernet>
      </interface>
      <router>
        <bgp xmlns="http://cisco.com/ns/yang/Cisco-IOS-XE-bgp">
          <id>{{ bgp_id }}</id>
          <neighbor>
            <id>{{ bgpnei_ip }}</id>
            <remote-as>{{ bgpnei_remoteas }}</remote-as>
          </neighbor>
        </bgp>
      </router>
   </native>
</config>